Responsive Video Shortcodes
===========================

This is the Github repository for the Responsive Video Shortcodes plugin for WordPress.

For more information about what the plugin does, please visit [its website in the WordPress Plugin Repository](http://wordpress.org/plugins/responsive-video-shortcodes/).

Installation
------------

You have multiple options when installing the plugin. For production environments, it is recommended to download the current version either from the WordPress Plugin Repository or as a released version from Github.

If you want to use the plugin for production environments, it is recommended to use the current release version:

* Either download it from the WordPress Plugin Repository: http://downloads.wordpress.org/plugin/responsive-video-shortcodes.latest-stable.zip
* Or download the current release from Github: https://github.com/felixarntz/responsive-video-shortcodes/archive/1.2.3.zip

If you are a developer and you are interested in testing, contributing or translating, feel free to download the developmental version of the plugin:

* Either clone the Github repository: https://github.com/felixarntz/responsive-video-shortcodes.git
* Or download it as a ZIP file from Github: https://github.com/felixarntz/responsive-video-shortcodes/archive/master.zip

As of version 1.2.2, the plugin is also available on [Packagist](https://packagist.org/packages/felixarntz/responsive-video-shortcodes), so you can include it from there aswell.

Bug Reports and Feature Requests
--------------------------------
I appreciate any recommendations and helpful information, so bug reports and any kind of reasonable feature requests are welcome.
In each case, please raise an issue [here on Github](https://github.com/felixarntz/responsive-video-shortcodes/issues/new).

Contributions
-------------
You want to help developing the plugin? That is amazing! If you have some code to improve the functionalities or to fix a bug, I would be grateful if you would share them with me. In this case, please do it using a [Pull Request](https://github.com/felixarntz/responsive-video-shortcodes/pulls).

Current News on oEmbed
----------------------
WordPress uses [oEmbed](http://oembed.com/) to embed external media. As of Version 1.1.5, Responsive Video Shortcodes includes an autoplay attribute for the short code. However, as far as I found out, only Vimeo and Soundcloud support autoplays using oEmbed, and still they have different names for the argument. If you find out that another of the WordPress-supported oEmbed platforms supports autoplay, it would be nice if you let me know.

Currently the only services supporting autoplay with oEmbed are:
* [Vimeo](https://developer.vimeo.com/apis/oembed)
* [Soundcloud](http://developers.soundcloud.com/docs/oembed)

Support
-------
If you aren't a developer and you need help with the Responsive Video Shortcodes plugin, please visit the official
[support forums on WordPress.org](http://wordpress.org/support/plugin/responsive-video-shortcodes).

Credit
------
This plugin would not exist without the amazing articles by [Thierry Koblentz](http://alistapart.com/article/creating-intrinsic-ratios-for-video) and [Anders M. Andersen](http://amobil.se/2011/11/responsive-embeds/).